<?xml version="1.0" encoding="windows-1251"?>
<Компонент ВерсияСинхронизатора="100" Владелец="НПО Криста www.krista.ru" Класс="Платформа.ДескрипторыБлоков" Имя="Омск.АСБюджет">
	<Объект Имя="Омск.АСБюджет" МаркетинговоеНазвание="Интеграция с АС &quot;Бюджет&quot;" Версия="1.0.20111212" ОбластьПрименения="Клиентский" Internal_NullFields="Тестовый,Отключить,СлойНастроек" Описание="Блок содержащий специфику экспорта данных в СБР, импорт данных по исполнению бюджета и т.д.">
		<ЗаменыКомпонентов Класс="Платформа.ДескрипторыБлоков.ЗаменыКомпонентов">
			<Объект Internal_NullFields="Отключить" ИмяЗамещаемого="АСБюджет.ЭкспортРосписи" ИмяЗамещающего="Омск.АСБюджет.ЭкспортРосписи" ИспользоватьСтарыеОбработчики="0"/>
		</ЗаменыКомпонентов>
		<РасширенияКомпонентов Класс="Платформа.ДескрипторыБлоков.РасширенияКомпонентов">
			<Объект Internal_NullFields="Отключить,ТипСистемы" ИмяКомпонента="АСБюджет.БазисПланированияНаЭкспорт">
				<ПодключениеОбработчиков Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
					<Объект Контроллер="Платформа.Слои.ЗадатьОписаниеПоля" Тип="Объект" Internal_NullFields="ПутьКОбъекту,Условие,ИмяОбъекта" ИмяТочкиПодключения="ИнициализацияКомпонента" ПриоритетПодключения="1" Отключено="0" Комментарий="Яценко. Добавляем ClsType">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Вставить" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Заголовок" Источник="Константа" СтрокаИсточника="ClsType" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Имя" Источник="Константа" СтрокаИсточника="ClsType" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ИмяПоляБД" Источник="Константа" СтрокаИсточника="-" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Позиция" Источник="Константа" СтрокаИсточника="000000000" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="РольПоля" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Слой" Источник="Параметры" СтрокаИсточника="Компонент" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ТипПоля" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Ширина" Источник="Константа" СтрокаИсточника="120" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.ЗадатьОписаниеПоля" Тип="Объект" Internal_NullFields="ПутьКОбъекту,Условие,ИмяОбъекта" ИмяТочкиПодключения="ИнициализацияКомпонента" ПриоритетПодключения="2" Отключено="0" Комментарий="Яценко. Добавляем kvsr">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Вставить" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Заголовок" Источник="Константа" СтрокаИсточника="kvsr" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Имя" Источник="Константа" СтрокаИсточника="kvsr" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ИмяПоляБД" Источник="Константа" СтрокаИсточника="-" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Позиция" Источник="Константа" СтрокаИсточника="000000000" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="РольПоля" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Слой" Источник="Параметры" СтрокаИсточника="Компонент" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ТипПоля" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Ширина" Источник="Константа" СтрокаИсточника="120" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.ЗадатьОписаниеПоля" Тип="Объект" Internal_NullFields="ПутьКОбъекту,Условие,ИмяОбъекта" ИмяТочкиПодключения="ИнициализацияКомпонента" ПриоритетПодключения="3" Отключено="0" Комментарий="Яценко. Добавляем kesr">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Вставить" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Заголовок" Источник="Константа" СтрокаИсточника="kesr" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Имя" Источник="Константа" СтрокаИсточника="kesr" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ИмяПоляБД" Источник="Константа" СтрокаИсточника="-" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Позиция" Источник="Константа" СтрокаИсточника="000000000" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="РольПоля" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Слой" Источник="Параметры" СтрокаИсточника="Компонент" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ТипПоля" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Ширина" Источник="Константа" СтрокаИсточника="120" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
				</ПодключениеОбработчиков>
			</Объект>
			<Объект Internal_NullFields="Отключить" ИмяКомпонента="АСБюджет.ВыполнитьКонтрольЗаявокНовый" ТипСистемы="Все">
				<ПодключениеОбработчиков Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
					<Объект Контроллер="Омск.АСБюджет.ВыполнитьКонтрольЗаявокНовый.КорректировкаПередКонтролем" Тип="Объект" Internal_NullFields="ПутьКОбъекту,ПриоритетПодключения,Условие,Комментарий,ИмяОбъекта" ИмяТочкиПодключения="ПослеФормированияДанных" Отключено="0">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="ДанныеДетали" Источник="Параметры" СтрокаИсточника="ДанныеДетали" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ДанныеЗаголовка" Источник="Параметры" СтрокаИсточника="ДанныеЗаголовка" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ПараметрыКонтроля" Источник="Параметры" СтрокаИсточника="ПараметрыКонтроля" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
				</ПодключениеОбработчиков>
			</Объект>
			<Объект Internal_NullFields="Отключить,ТипСистемы" ИмяКомпонента="АСБюджет.Закон.БюджетнаяРоспись.ДанныеДетализацияБАРО">
				<ПодключениеОбработчиков Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
					<Объект Контроллер="Платформа.Слои.ЗадатьОписаниеПоля" Тип="Объект" Internal_NullFields="ПутьКОбъекту,Условие,ИмяОбъекта" ИмяТочкиПодключения="ИнициализацияКомпонента" ПриоритетПодключения="1" Отключено="0" Комментарий="Яценко. Создаем &quot;Вид Плана&quot;">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Вставить" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ВыполнитьПерекомпиляциюФормул" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Заголовок" Источник="Константа" СтрокаИсточника="Вид Плана" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Имя" Источник="Константа" СтрокаИсточника="ВидПлана" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ИмяПоляБД" Источник="Константа" СтрокаИсточника="-" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Позиция" Источник="Константа" СтрокаИсточника="260000000" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="РольПоля" Источник="Константа" СтрокаИсточника="3" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Слой" Источник="Параметры" СтрокаИсточника="Компонент" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ТипПоля" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Формула" Источник="Константа" СтрокаИсточника="ВзятьИз(&quot;АСБюджет.Закон.БюджетнаяРоспись.ДанныеЗаголовок&quot;,&quot;КодВидПлана&quot;,&quot;RECORDINDEX=ID&quot;,нет)" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Ширина" Источник="Константа" СтрокаИсточника="120" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Платформа.Слои.ЗадатьОписаниеПоля" Тип="Объект" Internal_NullFields="ПутьКОбъекту,Условие,ИмяОбъекта" ИмяТочкиПодключения="ИнициализацияКомпонента" ПриоритетПодключения="2" Отключено="0" Комментарий="Яценко. Создаем Month01">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Вставить" Источник="Константа" СтрокаИсточника="1" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Заголовок" Источник="Константа" СтрокаИсточника="MONTH01" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Имя" Источник="Константа" СтрокаИсточника="MONTH01" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ИмяПоляБД" Источник="Константа" СтрокаИсточника="MONTH01" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Позиция" Источник="Константа" СтрокаИсточника="300000000" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="РольПоля" Источник="Константа" СтрокаИсточника="2" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Слой" Источник="Параметры" СтрокаИсточника="Компонент" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ТипПоля" Источник="Константа" СтрокаИсточника="4" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Ширина" Источник="Константа" СтрокаИсточника="120" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
				</ПодключениеОбработчиков>
			</Объект>
			<Объект Internal_NullFields="Отключить,ТипСистемы" ИмяКомпонента="АСБюджет.СправочникиРабочееМесто">
				<ПодключениеОбработчиков Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
					<Объект Контроллер="Платформа.Интерфейсы.РабочиеМеста.ДобавитьИнтерфейс" Тип="Объект" Internal_NullFields="ПутьКОбъекту,ПриоритетПодключения,Отключено,Условие,ИмяОбъекта" ИмяТочкиПодключения="ИнициализацияКомпонента" Комментарий="Яценко. Добавляем перечень контролей с АС &quot;Бюджет&quot;">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Заголовок" Источник="Константа" СтрокаИсточника="Перечень контролей АС &quot;Бюджет&quot;" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="ИмяИнтерфейса" Источник="Константа" СтрокаИсточника="Омск.АСБюджет.ИнтерфейсВключеныхКонтролей" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Позиция" Источник="Константа" СтрокаИсточника="4" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="РабочееМесто" Источник="Параметры" СтрокаИсточника="Компонент" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
				</ПодключениеОбработчиков>
			</Объект>
			<Объект Internal_NullFields="Отключить,ТипСистемы" ИмяКомпонента="АСБюджет.ЭкспортРосписиНовый">
				<ПодключениеОбработчиков Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
					<Объект Контроллер="Омск.АСБюджет.ОбработкаЗаписиЗаголовка" Тип="Объект" Internal_NullFields="ПутьКОбъекту,ПриоритетПодключения,Отключено,Условие,Комментарий,ИмяОбъекта" ИмяТочкиПодключения="ВставкаЗаписиВЗаголовок">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="СлойЗаголовок" Источник="Параметры" СтрокаИсточника="СлойЗаголовок" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="СлойЗаявок" Источник="Параметры" СтрокаИсточника="СлойЗаявок" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Омск.АСБюджет.ПроверкаПервоначальныхДанных" Тип="Объект" Internal_NullFields="ПутьКОбъекту,ПриоритетПодключения,Отключено,Условие,Комментарий,ИмяОбъекта" ИмяТочкиПодключения="ПроверкаПервоначальныхДанных">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Слой" Источник="Параметры" СтрокаИсточника="Слой" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
				</ПодключениеОбработчиков>
			</Объект>
			<Объект Internal_NullFields="Отключить,ТипСистемы" ИмяКомпонента="АСБюджет.ЭкспортРосписиПоЗаявкамНовый">
				<ПодключениеОбработчиков Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
					<Объект Контроллер="Омск.АСБюджет.КонтрольЗаявокПФХД" Тип="Объект" Internal_NullFields="ПутьКОбъекту,ПриоритетПодключения,Отключено,Условие,Комментарий,ИмяОбъекта" ИмяТочкиПодключения="ФормированиеСпискаЗаявок">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Документы" Источник="Параметры" СтрокаИсточника="Документы" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="НомераЗаявок" Источник="Параметры" СтрокаИсточника="НомераЗаявок" Направление="out" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
					<Объект Контроллер="Омск.АСБюджет.ОбработкаЗаписиЗаголовка" Тип="Объект" Internal_NullFields="ПутьКОбъекту,ПриоритетПодключения,Отключено,Условие,Комментарий,ИмяОбъекта" ИмяТочкиПодключения="ВставкаЗаписиВЗаголовок">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="СлойЗаголовок" Источник="Параметры" СтрокаИсточника="СлойЗаголовок" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="СлойЗаявок" Источник="Параметры" СтрокаИсточника="СлойЗаявок" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
				</ПодключениеОбработчиков>
			</Объект>
			<Объект Internal_NullFields="Отключить,ТипСистемы" ИмяКомпонента="Омск.АСБюджет.ЭкспортРосписи">
				<ПодключениеОбработчиков Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
					<Объект Контроллер="РеестрПоправок.ПоправкиКЗакону.ПрименитьПоправки" Тип="Объект" Internal_NullFields="ПутьКОбъекту,ПриоритетПодключения,Отключено,Условие,Комментарий,ИмяОбъекта" ИмяТочкиПодключения="ПрименитьПоправки">
						<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
							<Объект Параметр="Документ.ИД" Источник="Параметры" СтрокаИсточника="&quot;Документ.ИД&quot;" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Заявки.Список" Источник="Параметры" СтрокаИсточника="&quot;Заявки.Список&quot;" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Поправки.Список" Источник="Параметры" СтрокаИсточника="&quot;Поправки.Список&quot;" Направление="in" Internal_NullFields="ИмяКонвертера"/>
							<Объект Параметр="Слой" Источник="Параметры" СтрокаИсточника="Слой" Направление="in" Internal_NullFields="ИмяКонвертера"/>
						</ПередачаПараметров>
					</Объект>
				</ПодключениеОбработчиков>
			</Объект>
		</РасширенияКомпонентов>
	</Объект>
</Компонент>
